Bug 203479 - devel/gdcm: Update to version 2.6.3 (Fixes security vulnerability)
Summary: devel/gdcm: Update to version 2.6.3 (Fixes security vulnerability)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: needs-qa, patch, security
Depends on:
Blocks: 206590
  Show dependency treegraph
 
Reported: 2015-10-01 18:30 UTC by tkato432
Modified: 2016-02-01 11:41 UTC (History)
2 users (show)

See Also:
junovitch: merge-quarterly+


Attachments
devel_gdcm.diff (15.90 KB, patch)
2015-10-01 18:30 UTC, tkato432
no flags Details | Diff
devel_gdcm.diff (15.90 KB, patch)
2015-11-02 16:00 UTC, tkato432
no flags Details | Diff
devel_gdcm.diff (15.97 KB, patch)
2015-12-31 13:00 UTC, tkato432
no flags Details | Diff
devel_gdcm.diff (15.97 KB, patch)
2016-01-28 13:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2015-10-01 18:30:38 UTC
Created attachment 161612 [details]
devel_gdcm.diff
Comment 1 tkato432 2015-11-02 16:00:21 UTC
Created attachment 162712 [details]
devel_gdcm.diff

Version 2.6.1 has been released.
Comment 2 tkato432 2015-12-31 13:00:12 UTC
Created attachment 164897 [details]
devel_gdcm.diff

Version 2.6.2 has been released.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-25 06:04:41 UTC
Port is unmaintained, update fixes security vulnerability: bug 206590). 

Assign to ports-secteam accordingly
Comment 4 tkato432 2016-01-28 13:00:18 UTC
Created attachment 166230 [details]
devel_gdcm.diff

Version 2.6.3 has been released.
Comment 5 commit-hook freebsd_committer 2016-02-01 02:43:26 UTC
A commit references this bug:

Author: junovitch
Date: Mon Feb  1 02:43:05 UTC 2016
New revision: 407679
URL: https://svnweb.freebsd.org/changeset/ports/407679

Log:
  devel/gdcm: update 2.4.4 -> 2.6.3

  - Switch off by default DOCS option for Doxygen docs to DOXYGEN
  - Switch DOXYGEN bits to options helpers
  - Standardize on the more prevelant ON/OFF CMAKE flags
  - Set USE_LDCONFIG=yes as ${PREFIX}/lib is the default
  - Add gdcmviewer to DESKTOP_ENTRIES

  PR:		203479
  Submitted by:	tkato432@yahoo.com (with changes)
  Security:	CVE-2015-8396
  Security:	CVE-2015-8397
  Security:	https://vuxml.FreeBSD.org/freebsd/e00d8b94-c88a-11e5-b5fe-002590263bf5.html
  MFH:		2016Q1

Changes:
  head/devel/gdcm/Makefile
  head/devel/gdcm/distinfo
  head/devel/gdcm/files/patch-CMakeLists.txt
  head/devel/gdcm/files/patch-CMake_FindOpenJPEG.cmake
  head/devel/gdcm/files/patch-Source-DataDictionary_gdcmGlobal.cxx
  head/devel/gdcm/files/patch-Source-InformationObjectDefinition_CMakeLists.txt
  head/devel/gdcm/files/patch-Utilities-gdcmjpeg_CMakeLists.txt
  head/devel/gdcm/pkg-plist
Comment 6 commit-hook freebsd_committer 2016-02-01 11:39:11 UTC
A commit references this bug:

Author: junovitch
Date: Mon Feb  1 11:39:03 UTC 2016
New revision: 407710
URL: https://svnweb.freebsd.org/changeset/ports/407710

Log:
  MFH: r407679

  devel/gdcm: update 2.4.4 -> 2.6.3

  - Switch off by default DOCS option for Doxygen docs to DOXYGEN
  - Switch DOXYGEN bits to options helpers
  - Standardize on the more prevelant ON/OFF CMAKE flags
  - Set USE_LDCONFIG=yes as ${PREFIX}/lib is the default
  - Add gdcmviewer to DESKTOP_ENTRIES

  PR:		203479
  Submitted by:	tkato432@yahoo.com (with changes)
  Approved by:	ports-secteam (miwi)
  Security:	CVE-2015-8396
  Security:	CVE-2015-8397
  Security:	https://vuxml.FreeBSD.org/freebsd/e00d8b94-c88a-11e5-b5fe-002590263bf5.html

Changes:
_U  branches/2016Q1/
  branches/2016Q1/devel/gdcm/Makefile
  branches/2016Q1/devel/gdcm/distinfo
  branches/2016Q1/devel/gdcm/files/patch-CMakeLists.txt
  branches/2016Q1/devel/gdcm/files/patch-CMake_FindOpenJPEG.cmake
  branches/2016Q1/devel/gdcm/files/patch-Source-DataDictionary_gdcmGlobal.cxx
  branches/2016Q1/devel/gdcm/files/patch-Source-InformationObjectDefinition_CMakeLists.txt
  branches/2016Q1/devel/gdcm/files/patch-Utilities-gdcmjpeg_CMakeLists.txt
  branches/2016Q1/devel/gdcm/pkg-plist
Comment 7 Jason Unovitch freebsd_committer 2016-02-01 11:41:35 UTC
Mark closed/fixed and set merge-quarterly+ for approved and merged MFH commit.